Under the standard Testkit ordering flow, you place a Testkit order for a specific patient. The resulting Testkit is bound to that patient, and the Testkit cannot be passed on to someone else. With Registrable Testkits, Junction offers a different option — Testkits not bound to any specific patient can be ordered to a specific household address. The patient registration process is deferred until an actual patient intends to use the Testkit. This involves two steps:Documentation Index
Fetch the complete documentation index at: https://vital-mintlify-seo-frontmatter-1778142037.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
- Ordering the Testkit.
- Registering a patient.
received.testkit.awaiting_registration state, meaning that no requisition form is generated for this order, and no results can be obtained until step 2 is done.
After step 2, the order flow resumes as normal, the patient sends the testkit to the lab, the order is progressed to the received.testkit.testkit_registered state and, again, all the same webhooks as in the regular order flow are dispatched.
Example
To make an order, make a request to ourPOST /v3/order/testkit, to fulfill step 1.
Python
testkit is now ordered, and will be sent to the specified address. Once delivered, it can be kept until its expiration.
Once the testkit is with its intended patient, it should be registered (step 2).
In order to register, Junction requires a sample_id, which is found within the testkit itself. This is a unique identifier.
Junction also requires the patient details and address.
Besides this, if using Junction’s physician network, then supplying the consents field is required. If providing your own physician, then the physician information is required.
For this example, we will assume the use of your own physician.
To register a testkit order, make a request to our POST /v3/order/testkit/register, to fulfill step 2.
Python
testkit order is now registered, and the order flow should resume as normal. For more information regarding the lifecycle of a test, refer to the lab test lifecycle page.